/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-03-11 11:29:02
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-03-11 11:39:31
 * @FilePath: \5G-Loading-Bay-Web\mock\poleMonitor.ts
 * @Description: 撑杆监测
 */
import { MockMethod } from "vite-plugin-mock";
import { poleMonitorListData } from "./pools/poleMonitorData";
import { fetchCurrPageByList } from "./utils/apiMock";

export default [
  {
    url: "/api/getPoleMonitorList",
    method: "post",
    response: req => {
      const { page, pageSize } = req.body;
      // console.log(req);
      return {
        ...fetchCurrPageByList({
          ...poleMonitorListData,
          data: {
            ...poleMonitorListData.data,
            page,
            pageSize: pageSize || 10
          }
        })
      };
    }
  }
] as MockMethod[];