<!--
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-03-11 14:18:06
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-03-11 14:29:15
 * @FilePath: \5G-Loading-Bay-Web\api.md
 * @Description: 接口备注文档
-->

# 系统接口文档

## 一、登录模块（Login）

### 1.1 用户登录接口
- **接口地址**：/api/login  
- **请求方式**：POST  
- **请求参数**：  
  | 参数名   | 类型   | 是否必填 | 说明         |  
  |----------|--------|----------|--------------|  
  | username | string | 是       | 用户账号     |  
  | password | string | 是       | 登录密码     |  

- **响应示例**：  
```json
{
  "code": 200,
  "message": "登录成功",
  "data": {
    "token": "xxx-xxx-xxx" // 登录成功返回的 token
  }
}
```

### 1.2 用户登录接口
- **接口地址**：/api/logout  
- **请求方式**：POST  
- **请求参数**：  
  | 参数名   | 类型   | 是否必填 | 说明         |  
  |----------|--------|----------|--------------|  
  | token    | string | 是       | 登录成功返回的 token |  

- **响应示例**：  
```json
{
  "code": 200,
}
```

![alt text](微信图片_20250306134728.png)